## gst-python1.0 1.14.4

=== debian/changelog ===
gst-python1.0 (1.14.4-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Wed, 03 Oct 2018 14:07:29 +0300

gst-python1.0 (1.14.3-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 17 Sep 2018 10:09:23 +0300

gst-python1.0 (1.14.2-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Mon, 23 Jul 2018 12:28:38 +0300

gst-python1.0 (1.14.1-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Fri, 18 May 2018 11:11:08 +0300

gst-python1.0 (1.14.0-2) unstable; urgency=medium

  * debian/patches/0001-overrides-use-get_introspection_module.patch,
    debian/control:
    + Fix importing of GI overrides (Closes: #896241, #896222).

 -- Sebastian Dröge <slomo@debian.org>  Sat, 28 Apr 2018 10:33:26 +0300

=== debian/control ===
Source: gst-python1.0
Section: python
Priority: optional
Maintainer: Maintainers of GStreamer packages <gst-python1.0@packages.debian.org>
Uploaders: Sebastian Dröge <slomo@debian.org>
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.1~),
               dh-autoreconf,
               dh-python,
               pkg-config,
               libgstreamer1.0-dev (>= 1.14.4),
               libgstreamer-plugins-base1.0-dev (>= 1.14.4),
               gir1.2-gstreamer-1.0 (>= 1.14.4),
               gir1.2-gst-plugins-base-1.0 (>= 1.14.4),
               python-gi-dev (>= 3.8),
               python-all-dev (>= 2.7),
               python3-all-dev,
               python-all-dbg,
               python3-all-dbg,
               python-gi-dbg,
               python3-gi-dbg
Standards-Version: 3.9.4
X-Python-Version: >= 2.7
Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-python1.0.git
Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-python1.0/
Homepage: https://gstreamer.freedesktop.org

Package: python-gst-1.0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python-gi (>= 3.8),
         gir1.2-glib-2.0,
         gir1.2-gstreamer-1.0 (>= 1.14.4),
         gir1.2-gst-plugins-base-1.0 (>= 1.14.4)
Description: GStreamer GObject Introspection overrides for Python
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains GObject Introspection overrides for Python that
 can be used by Python applications using GStreamer.

Package: python3-gst-1.0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python3-gi (>= 3.8),
         gir1.2-glib-2.0,
         gir1.2-gstreamer-1.0 (>= 1.14.4),
         gir1.2-gst-plugins-base-1.0 (>= 1.14.4)
Description: GStreamer GObject Introspection overrides for Python (Python 3)
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains GObject Introspection overrides for Python that
 can be used by Python applications using GStreamer.

Package: python-gst-1.0-dbg
Architecture: any
Priority: extra
Section: debug
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python-gi (>= 3.8),
         gir1.2-glib-2.0,
         gir1.2-gstreamer-1.0 (>= 1.14.4),
         gir1.2-gst-plugins-base-1.0 (>= 1.14.4)
Description: GStreamer GObject Introspection overrides for Python (debug extensions)
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains GObject Introspection overrides for Python that
 can be used by Python applications using GStreamer.

Package: python3-gst-1.0-dbg
Architecture: any
Priority: extra
Section: debug
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python3-gi (>= 3.8),
         gir1.2-glib-2.0,
         gir1.2-gstreamer-1.0 (>= 1.14.4),
         gir1.2-gst-plugins-base-1.0 (>= 1.14.4)
Description: GStreamer GObject Introspection overrides for Python (Python 3, debug extensions)
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains GObject Introspection overrides for Python that
 can be used by Python applications using GStreamer.

Package: gstreamer1.0-python3-plugin-loader
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python3-gi (>= 3.8),
         python3-gst-1.0 (= ${binary:Version})
Conflicts: gstreamer1.0-python-plugin-loader, gstreamer1.0-python-dbg-plugin-loader, gstreamer1.0-python3-dbg-plugin-loader
Description: GStreamer Loader for Python Plugin (Python 3)
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains the Python 3 version of the Python plugin loader,
 which allows GStreamer plugins to be written in Python.

Package: gstreamer1.0-python3-dbg-plugin-loader
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python3-gi (>= 3.8),
         python3-gst-1.0-dbg (= ${binary:Version})
Conflicts: gstreamer1.0-python-plugin-loader, gstreamer1.0-python-dbg-plugin-loader, gstreamer1.0-python3-plugin-loader
Description: GStreamer Loader for Python Plugin (Python 3, debug extensions)
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains the Python 3 version of the Python plugin loader,
 which allows GStreamer plugins to be written in Python.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
include /usr/share/python/python.mk

# Work-around for gtk-doc bug:
# https://bugzilla.gnome.org/show_bug.cgi?id=783926
export PYTHONIOENCODING="utf-8"

PYVERS := $(shell pyversions --requested -v debian/control) $(shell py3versions --supported -v)
FLAVOURS := $(PYVERS) $(patsubst %,%-dbg,$(PYVERS))

configure_flags += \
		--disable-silent-rules \
		$(NULL)

%:
	dh $@ --with python2,python3,autoreconf

override_dh_auto_configure:
	set -e && for x in $(FLAVOURS); do \
	    dh_auto_configure --builddirectory=build-$$x -- PYTHON=/usr/bin/python$$x $(configure_flags) \
	        --with-libpython-dir="`/usr/bin/python$$x-config --configdir`" ; \
	done

override_dh_auto_build:
	set -e && for x in $(FLAVOURS); do \
	    dh_auto_build --builddirectory=build-$$x; \
	done

override_dh_auto_install:
	set -e && for x in $(FLAVOURS); do \
	    INST=debian/install-`echo $$x | sed 's/\.[0-9]*//'`; \
	    dh_auto_install --builddirectory=build-$$x --destdir=$$INST; \
	    find $$INST \( -name '*.pyc' -o -name '*.pyo' -o -name '*.la' \) -delete; \
	done

override_dh_auto_clean:
	rm -rf build-*
	rm -rf debian/install-*
	dh_auto_clean

override_dh_install:
	dh_install -ppython-gst-1.0 --sourcedir=debian/install-2
	dh_install -ppython-gst-1.0-dbg --sourcedir=debian/install-2-dbg
	dh_install -ppython3-gst-1.0 -pgstreamer1.0-python3-plugin-loader --sourcedir=debian/install-3
	dh_install -ppython3-gst-1.0-dbg -pgstreamer1.0-python3-dbg-plugin-loader --sourcedir=debian/install-3-dbg

## gst-python1.0 1.14.5

=== debian/changelog ===
gst-python1.0 (1.14.5-0ubuntu1~18.04.1) bionic; urgency=medium

  * New upstream bugfix release (LP: #1832123)
  * Update references to 1.14.5

 -- Iain Lane <iain.lane@canonical.com>  Thu, 04 Jul 2019 13:30:17 +0100

gst-python1.0 (1.14.4-1~ubuntu18.04.1) bionic; urgency=medium

  * No-change backport to bionic (LP: #1829366)

 -- Iain Lane <iain.lane@canonical.com>  Thu, 16 May 2019 13:42:44 +0100

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                dh-autoreconf,
                dh-python,
                pkg-config,
-               libgstreamer1.0-dev (>= 1.14.4),
-               libgstreamer-plugins-base1.0-dev (>= 1.14.4),
-               gir1.2-gstreamer-1.0 (>= 1.14.4),
-               gir1.2-gst-plugins-base-1.0 (>= 1.14.4),
+               libgstreamer1.0-dev (>= 1.14.5),
+               libgstreamer-plugins-base1.0-dev (>= 1.14.5),
+               gir1.2-gstreamer-1.0 (>= 1.14.5),
+               gir1.2-gst-plugins-base-1.0 (>= 1.14.5),
                python-gi-dev (>= 3.8),
                python-all-dev (>= 2.7),
                python3-all-dev,
@@ -33,8 +33,8 @@
          ${misc:Depends},
          python-gi (>= 3.8),
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.14.4),
-         gir1.2-gst-plugins-base-1.0 (>= 1.14.4)
+         gir1.2-gstreamer-1.0 (>= 1.14.5),
+         gir1.2-gst-plugins-base-1.0 (>= 1.14.5)
 Description: GStreamer GObject Introspection overrides for Python
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -54,8 +54,8 @@
          ${misc:Depends},
          python3-gi (>= 3.8),
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.14.4),
-         gir1.2-gst-plugins-base-1.0 (>= 1.14.4)
+         gir1.2-gstreamer-1.0 (>= 1.14.5),
+         gir1.2-gst-plugins-base-1.0 (>= 1.14.5)
 Description: GStreamer GObject Introspection overrides for Python (Python 3)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -77,8 +77,8 @@
          ${misc:Depends},
          python-gi (>= 3.8),
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.14.4),
-         gir1.2-gst-plugins-base-1.0 (>= 1.14.4)
+         gir1.2-gstreamer-1.0 (>= 1.14.5),
+         gir1.2-gst-plugins-base-1.0 (>= 1.14.5)
 Description: GStreamer GObject Introspection overrides for Python (debug extensions)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -100,8 +100,8 @@
          ${misc:Depends},
          python3-gi (>= 3.8),
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.14.4),
-         gir1.2-gst-plugins-base-1.0 (>= 1.14.4)
+         gir1.2-gstreamer-1.0 (>= 1.14.5),
+         gir1.2-gst-plugins-base-1.0 (>= 1.14.5)
 Description: GStreamer GObject Introspection overrides for Python (Python 3, debug extensions)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do

## gst-python1.0 1.15.90

=== debian/changelog ===
gst-python1.0 (1.15.90-1~sync1) disco; urgency=medium

  * Upload the Debian update with a fakesync to not wait for publishing

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 12 Apr 2019 11:19:24 +0200

gst-python1.0 (1.15.90-1) experimental; urgency=medium

  * New upstream release candidate

 -- Sebastian Dröge <slomo@debian.org>  Fri, 12 Apr 2019 10:15:18 +0300

gst-python1.0 (1.15.2-1) experimental; urgency=medium

  * New upstream development release

 -- Sebastian Dröge <slomo@debian.org>  Thu, 28 Feb 2019 12:30:10 +0200

gst-python1.0 (1.15.1-1) experimental; urgency=medium

  * New upstream development release
    + debian/control:
      - Update GStreamer dependency.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 17 Jan 2019 17:55:23 +0200

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                dh-autoreconf,
                dh-python,
                pkg-config,
-               libgstreamer1.0-dev (>= 1.14.5),
-               libgstreamer-plugins-base1.0-dev (>= 1.14.5),
-               gir1.2-gstreamer-1.0 (>= 1.14.5),
-               gir1.2-gst-plugins-base-1.0 (>= 1.14.5),
+               libgstreamer1.0-dev (>= 1.15.90),
+               libgstreamer-plugins-base1.0-dev (>= 1.15.90),
+               gir1.2-gstreamer-1.0 (>= 1.15.90),
+               gir1.2-gst-plugins-base-1.0 (>= 1.15.90),
                python-gi-dev (>= 3.8),
                python-all-dev (>= 2.7),
                python3-all-dev,
@@ -33,8 +33,8 @@
          ${misc:Depends},
          python-gi (>= 3.8),
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.14.5),
-         gir1.2-gst-plugins-base-1.0 (>= 1.14.5)
+         gir1.2-gstreamer-1.0 (>= 1.15.90),
+         gir1.2-gst-plugins-base-1.0 (>= 1.15.90)
 Description: GStreamer GObject Introspection overrides for Python
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -54,8 +54,8 @@
          ${misc:Depends},
          python3-gi (>= 3.8),
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.14.5),
-         gir1.2-gst-plugins-base-1.0 (>= 1.14.5)
+         gir1.2-gstreamer-1.0 (>= 1.15.90),
+         gir1.2-gst-plugins-base-1.0 (>= 1.15.90)
 Description: GStreamer GObject Introspection overrides for Python (Python 3)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -77,8 +77,8 @@
          ${misc:Depends},
          python-gi (>= 3.8),
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.14.5),
-         gir1.2-gst-plugins-base-1.0 (>= 1.14.5)
+         gir1.2-gstreamer-1.0 (>= 1.15.90),
+         gir1.2-gst-plugins-base-1.0 (>= 1.15.90)
 Description: GStreamer GObject Introspection overrides for Python (debug extensions)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -100,8 +100,8 @@
          ${misc:Depends},
          python3-gi (>= 3.8),
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.14.5),
-         gir1.2-gst-plugins-base-1.0 (>= 1.14.5)
+         gir1.2-gstreamer-1.0 (>= 1.15.90),
+         gir1.2-gst-plugins-base-1.0 (>= 1.15.90)
 Description: GStreamer GObject Introspection overrides for Python (Python 3, debug extensions)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do

## gst-python1.0 1.16.1

=== debian/changelog ===
gst-python1.0 (1.16.1-1build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:30:29 +0000

gst-python1.0 (1.16.1-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Wed, 25 Sep 2019 11:56:24 +0300

gst-python1.0 (1.16.0-3) unstable; urgency=medium

  * Source-only re-upload

 -- Sebastian Dröge <slomo@debian.org>  Mon, 02 Sep 2019 10:33:31 +0300

gst-python1.0 (1.16.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Sebastian Dröge <slomo@debian.org>  Thu, 18 Jul 2019 11:59:27 +0300

gst-python1.0 (1.16.0-1) experimental; urgency=medium

  * New upstream release

 -- Sebastian Dröge <slomo@debian.org>  Fri, 19 Apr 2019 10:24:26 +0300

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                dh-autoreconf,
                dh-python,
                pkg-config,
-               libgstreamer1.0-dev (>= 1.15.90),
-               libgstreamer-plugins-base1.0-dev (>= 1.15.90),
-               gir1.2-gstreamer-1.0 (>= 1.15.90),
-               gir1.2-gst-plugins-base-1.0 (>= 1.15.90),
+               libgstreamer1.0-dev (>= 1.16.1),
+               libgstreamer-plugins-base1.0-dev (>= 1.16.1),
+               gir1.2-gstreamer-1.0 (>= 1.16.1),
+               gir1.2-gst-plugins-base-1.0 (>= 1.16.1),
                python-gi-dev (>= 3.8),
                python-all-dev (>= 2.7),
                python3-all-dev,
@@ -33,8 +33,8 @@
          ${misc:Depends},
          python-gi (>= 3.8),
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.15.90),
-         gir1.2-gst-plugins-base-1.0 (>= 1.15.90)
+         gir1.2-gstreamer-1.0 (>= 1.16.1),
+         gir1.2-gst-plugins-base-1.0 (>= 1.16.1)
 Description: GStreamer GObject Introspection overrides for Python
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -54,8 +54,8 @@
          ${misc:Depends},
          python3-gi (>= 3.8),
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.15.90),
-         gir1.2-gst-plugins-base-1.0 (>= 1.15.90)
+         gir1.2-gstreamer-1.0 (>= 1.16.1),
+         gir1.2-gst-plugins-base-1.0 (>= 1.16.1)
 Description: GStreamer GObject Introspection overrides for Python (Python 3)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -77,8 +77,8 @@
          ${misc:Depends},
          python-gi (>= 3.8),
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.15.90),
-         gir1.2-gst-plugins-base-1.0 (>= 1.15.90)
+         gir1.2-gstreamer-1.0 (>= 1.16.1),
+         gir1.2-gst-plugins-base-1.0 (>= 1.16.1)
 Description: GStreamer GObject Introspection overrides for Python (debug extensions)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -100,8 +100,8 @@
          ${misc:Depends},
          python3-gi (>= 3.8),
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.15.90),
-         gir1.2-gst-plugins-base-1.0 (>= 1.15.90)
+         gir1.2-gstreamer-1.0 (>= 1.16.1),
+         gir1.2-gst-plugins-base-1.0 (>= 1.16.1)
 Description: GStreamer GObject Introspection overrides for Python (Python 3, debug extensions)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do

## gst-python1.0 1.16.2

=== debian/changelog ===
gst-python1.0 (1.16.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Remove unnecessary X-Python{,3}-Version field in debian/control.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Change priority extra to priority optional.
  * Set upstream metadata fields: Bug-Database, Name (from ./configure),
    Repository, Repository-Browse.

  [ Sebastian Dröge ]
  * Drop Python 2 support (Closes: #936670).

 -- Sebastian Dröge <slomo@debian.org>  Tue, 24 Mar 2020 11:59:01 +0200

gst-python1.0 (1.16.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
    + Explicitly build-depend on python[3]-gi (Closes: #945036).
  * debian/rules,
    debian/control:
    + Switch from autotools to meson for the build system.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 04 Dec 2019 16:05:04 +0200

=== debian/control ===
--- 
+++ 
@@ -3,48 +3,24 @@
 Priority: optional
 Maintainer: Maintainers of GStreamer packages <gst-python1.0@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 12),
                dpkg-dev (>= 1.16.1~),
-               dh-autoreconf,
+               meson (>= 0.46.0),
                dh-python,
                pkg-config,
-               libgstreamer1.0-dev (>= 1.16.1),
-               libgstreamer-plugins-base1.0-dev (>= 1.16.1),
-               gir1.2-gstreamer-1.0 (>= 1.16.1),
-               gir1.2-gst-plugins-base-1.0 (>= 1.16.1),
+               libgstreamer1.0-dev (>= 1.16.2),
+               libgstreamer-plugins-base1.0-dev (>= 1.16.2),
+               gir1.2-gstreamer-1.0 (>= 1.16.2),
+               gir1.2-gst-plugins-base-1.0 (>= 1.16.2),
+               python3-gi (>= 3.8),
                python-gi-dev (>= 3.8),
-               python-all-dev (>= 2.7),
                python3-all-dev,
-               python-all-dbg,
                python3-all-dbg,
-               python-gi-dbg,
                python3-gi-dbg
 Standards-Version: 3.9.4
-X-Python-Version: >= 2.7
 Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-python1.0.git
 Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-python1.0/
 Homepage: https://gstreamer.freedesktop.org
-
-Package: python-gst-1.0
-Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${python:Depends},
-         ${shlibs:Depends},
-         ${misc:Depends},
-         python-gi (>= 3.8),
-         gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.16.1),
-         gir1.2-gst-plugins-base-1.0 (>= 1.16.1)
-Description: GStreamer GObject Introspection overrides for Python
- GStreamer is a streaming media framework, based on graphs of filters
- which operate on media data.  Applications using this library can do
- anything from real-time sound processing to playing videos, and just
- about anything else media-related.  Its plugin-based architecture means
- that new data types or processing capabilities can be added simply by
- installing new plug-ins.
- .
- This package contains GObject Introspection overrides for Python that
- can be used by Python applications using GStreamer.
 
 Package: python3-gst-1.0
 Architecture: any
@@ -54,32 +30,9 @@
          ${misc:Depends},
          python3-gi (>= 3.8),
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.16.1),
-         gir1.2-gst-plugins-base-1.0 (>= 1.16.1)
+         gir1.2-gstreamer-1.0 (>= 1.16.2),
+         gir1.2-gst-plugins-base-1.0 (>= 1.16.2)
 Description: GStreamer GObject Introspection overrides for Python (Python 3)
- GStreamer is a streaming media framework, based on graphs of filters
- which operate on media data.  Applications using this library can do
- anything from real-time sound processing to playing videos, and just
- about anything else media-related.  Its plugin-based architecture means
- that new data types or processing capabilities can be added simply by
- installing new plug-ins.
- .
- This package contains GObject Introspection overrides for Python that
- can be used by Python applications using GStreamer.
-
-Package: python-gst-1.0-dbg
-Architecture: any
-Priority: extra
-Section: debug
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${python:Depends},
-         ${shlibs:Depends},
-         ${misc:Depends},
-         python-gi (>= 3.8),
-         gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.16.1),
-         gir1.2-gst-plugins-base-1.0 (>= 1.16.1)
-Description: GStreamer GObject Introspection overrides for Python (debug extensions)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
  anything from real-time sound processing to playing videos, and just
@@ -92,7 +45,7 @@
 
 Package: python3-gst-1.0-dbg
 Architecture: any
-Priority: extra
+Priority: optional
 Section: debug
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${python3:Depends},
@@ -100,8 +53,8 @@
          ${misc:Depends},
          python3-gi (>= 3.8),
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.16.1),
-         gir1.2-gst-plugins-base-1.0 (>= 1.16.1)
+         gir1.2-gstreamer-1.0 (>= 1.16.2),
+         gir1.2-gst-plugins-base-1.0 (>= 1.16.2)
 Description: GStreamer GObject Introspection overrides for Python (Python 3, debug extensions)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
include /usr/share/python3/python.mk

# Work-around for gtk-doc bug:
# https://bugzilla.gnome.org/show_bug.cgi?id=783926
export PYTHONIOENCODING="utf-8"

PYVERS := $(shell py3versions --supported -v)
FLAVOURS := $(PYVERS) $(patsubst %,%-dbg,$(PYVERS))

%:
	dh $@ --buildsystem=meson --with python3

override_dh_auto_configure:
	set -e && for x in $(FLAVOURS); do \
	    dh_auto_configure --builddirectory=build-$$x -- -Dpython=/usr/bin/python$$x \
	        -Dlibpython-dir="`/usr/bin/python$$x-config --configdir`" ; \
	done

override_dh_auto_build:
	set -e && for x in $(FLAVOURS); do \
	    dh_auto_build --builddirectory=build-$$x; \
	done

override_dh_auto_test:

override_dh_auto_install:
	set -e && for x in $(FLAVOURS); do \
	    INST=debian/install-`echo $$x | sed 's/\.[0-9]*//'`; \
	    dh_auto_install --builddirectory=build-$$x --destdir=$$INST; \
	    find $$INST \( -name '*.pyc' -o -name '*.pyo' -o -name '*.la' \) -delete; \
	done

override_dh_auto_clean:
	rm -rf build-*
	rm -rf debian/install-*
	dh_auto_clean

override_dh_install:
	dh_install -ppython3-gst-1.0 -pgstreamer1.0-python3-plugin-loader --sourcedir=debian/install-3
	dh_install -ppython3-gst-1.0-dbg -pgstreamer1.0-python3-dbg-plugin-loader --sourcedir=debian/install-3-dbg

## gst-python1.0 1.18.0

=== debian/changelog ===
gst-python1.0 (1.18.0-1) unstable; urgency=medium

  * New upstream stable release.
  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 08 Sep 2020 12:15:08 +0300

gst-python1.0 (1.17.90-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 21 Aug 2020 14:53:14 +0300

gst-python1.0 (1.17.2-1) experimental; urgency=medium

  * New upstream development release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 08 Jul 2020 15:03:50 +0300

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,22 @@
 Priority: optional
 Maintainer: Maintainers of GStreamer packages <gst-python1.0@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
+               debhelper,
                dpkg-dev (>= 1.16.1~),
                meson (>= 0.46.0),
                dh-python,
                pkg-config,
-               libgstreamer1.0-dev (>= 1.16.2),
-               libgstreamer-plugins-base1.0-dev (>= 1.16.2),
-               gir1.2-gstreamer-1.0 (>= 1.16.2),
-               gir1.2-gst-plugins-base-1.0 (>= 1.16.2),
+               libgstreamer1.0-dev (>= 1.18.0),
+               libgstreamer-plugins-base1.0-dev (>= 1.18.0),
+               gir1.2-gstreamer-1.0 (>= 1.18.0),
+               gir1.2-gst-plugins-base-1.0 (>= 1.18.0),
                python3-gi (>= 3.8),
                python-gi-dev (>= 3.8),
                python3-all-dev,
                python3-all-dbg,
                python3-gi-dbg
-Standards-Version: 3.9.4
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-python1.0.git
 Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-python1.0/
 Homepage: https://gstreamer.freedesktop.org
@@ -30,8 +31,8 @@
          ${misc:Depends},
          python3-gi (>= 3.8),
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.16.2),
-         gir1.2-gst-plugins-base-1.0 (>= 1.16.2)
+         gir1.2-gstreamer-1.0 (>= 1.18.0),
+         gir1.2-gst-plugins-base-1.0 (>= 1.18.0)
 Description: GStreamer GObject Introspection overrides for Python (Python 3)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -53,8 +54,8 @@
          ${misc:Depends},
          python3-gi (>= 3.8),
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.16.2),
-         gir1.2-gst-plugins-base-1.0 (>= 1.16.2)
+         gir1.2-gstreamer-1.0 (>= 1.18.0),
+         gir1.2-gst-plugins-base-1.0 (>= 1.18.0)
 Description: GStreamer GObject Introspection overrides for Python (Python 3, debug extensions)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do

## gst-python1.0 1.18.1

=== debian/changelog ===
gst-python1.0 (1.18.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + gstreamer1.0-python3-dbg-plugin-loader,
      gstreamer1.0-python3-plugin-loader, python3-gst-1.0-dbg: Add Multi-Arch:
      same.
  * Set upstream metadata fields: Bug-Submit.
  * Remove Priority on python3-gst-1.0-dbg that duplicates source.

  [ Sebastian Dröge ]
  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 28 Oct 2020 08:55:21 +0200

## gst-python1.0 1.18.2

=== debian/changelog ===
gst-python1.0 (1.18.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 07 Dec 2020 10:13:46 +0200

=== debian/control ===
--- 
+++ 
@@ -46,7 +46,6 @@
 
 Package: python3-gst-1.0-dbg
 Architecture: any
-Priority: optional
 Section: debug
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${python3:Depends},
@@ -56,6 +55,7 @@
          gir1.2-glib-2.0,
          gir1.2-gstreamer-1.0 (>= 1.18.0),
          gir1.2-gst-plugins-base-1.0 (>= 1.18.0)
+Multi-Arch: same
 Description: GStreamer GObject Introspection overrides for Python (Python 3, debug extensions)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -76,6 +76,7 @@
          python3-gi (>= 3.8),
          python3-gst-1.0 (= ${binary:Version})
 Conflicts: gstreamer1.0-python-plugin-loader, gstreamer1.0-python-dbg-plugin-loader, gstreamer1.0-python3-dbg-plugin-loader
+Multi-Arch: same
 Description: GStreamer Loader for Python Plugin (Python 3)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -96,6 +97,7 @@
          python3-gi (>= 3.8),
          python3-gst-1.0-dbg (= ${binary:Version})
 Conflicts: gstreamer1.0-python-plugin-loader, gstreamer1.0-python-dbg-plugin-loader, gstreamer1.0-python3-plugin-loader
+Multi-Arch: same
 Description: GStreamer Loader for Python Plugin (Python 3, debug extensions)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do

=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,6 @@
 
 include /usr/share/dpkg/default.mk
 include /usr/share/python3/python.mk
-
-# Work-around for gtk-doc bug:
-# https://bugzilla.gnome.org/show_bug.cgi?id=783926
-export PYTHONIOENCODING="utf-8"
 
 PYVERS := $(shell py3versions --supported -v)
 FLAVOURS := $(PYVERS) $(patsubst %,%-dbg,$(PYVERS))
@@ -30,7 +26,6 @@
 	set -e && for x in $(FLAVOURS); do \
 	    INST=debian/install-`echo $$x | sed 's/\.[0-9]*//'`; \
 	    dh_auto_install --builddirectory=build-$$x --destdir=$$INST; \
-	    find $$INST \( -name '*.pyc' -o -name '*.pyo' -o -name '*.la' \) -delete; \
 	done
 
 override_dh_auto_clean:
@@ -41,3 +36,6 @@
 override_dh_install:
 	dh_install -ppython3-gst-1.0 -pgstreamer1.0-python3-plugin-loader --sourcedir=debian/install-3
 	dh_install -ppython3-gst-1.0-dbg -pgstreamer1.0-python3-dbg-plugin-loader --sourcedir=debian/install-3-dbg
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

=== debian/watch ===
version=3
http://gstreamer.freedesktop.org/src/gst-python/gst-python-(1\.[\d]+\.[\d]+)\.tar\.xz

## gst-python1.0 1.18.3

=== meson_options.txt ===
option('pygi-overrides-dir', type : 'string', value : '',
        description: 'Path to pygobject overrides directory')
option('libpython-dir', type : 'string', value : '',
        description: 'Path to find libpythonXX.so')
option('python', type : 'string', value : 'python3')

=== debian/changelog ===
gst-python1.0 (1.18.3-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 14 Jan 2021 09:56:08 +0200

## gst-python1.0 1.18.4

=== debian/changelog ===
gst-python1.0 (1.18.4-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 22 Apr 2021 20:58:16 +0300

gst-python1.0 (1.18.4-1) experimental; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 05 Apr 2021 11:54:58 +0300

## gst-python1.0 1.18.5

=== debian/changelog ===
gst-python1.0 (1.18.5-1build3) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 19:21:36 +0000

gst-python1.0 (1.18.5-1build2) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Oct 2021 12:21:23 +0200

gst-python1.0 (1.18.5-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 13 Sep 2021 09:47:08 +0300

## gst-python1.0 1.19.90

=== debian/changelog ===
gst-python1.0 (1.19.90-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 28 Jan 2022 18:41:24 +0200

gst-python1.0 (1.18.5-2) unstable; urgency=medium

  * debian/rules,
    debian/control:
    + Drop manual Python 3 debug packages (Closes: #994301).

 -- Sebastian Dröge <slomo@debian.org>  Wed, 19 Jan 2022 13:34:58 +0200

=== debian/control ===
Source: gst-python1.0
Section: python
Priority: optional
Maintainer: Maintainers of GStreamer packages <gst-python1.0@packages.debian.org>
Uploaders: Sebastian Dröge <slomo@debian.org>
Build-Depends: debhelper-compat (= 13),
               debhelper,
               dpkg-dev (>= 1.16.1~),
               meson (>= 0.59),
               dh-python,
               pkg-config,
               libgstreamer1.0-dev (>= 1.19.90),
               libgstreamer-plugins-base1.0-dev (>= 1.19.90),
               gir1.2-gstreamer-1.0 (>= 1.19.90),
               gir1.2-gst-plugins-base-1.0 (>= 1.19.90),
               python3-gi (>= 3.8),
               python-gi-dev (>= 3.8),
               python3-all-dev
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-python1.0.git
Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-python1.0/
Homepage: https://gstreamer.freedesktop.org

Package: python3-gst-1.0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python3-gi (>= 3.8),
         gir1.2-glib-2.0,
         gir1.2-gstreamer-1.0 (>= 1.19.90),
         gir1.2-gst-plugins-base-1.0 (>= 1.19.90)
Description: GStreamer GObject Introspection overrides for Python (Python 3)
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains GObject Introspection overrides for Python that
 can be used by Python applications using GStreamer.

Package: gstreamer1.0-python3-plugin-loader
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python3-gi (>= 3.8),
         python3-gst-1.0 (= ${binary:Version})
Conflicts: gstreamer1.0-python-plugin-loader, gstreamer1.0-python-dbg-plugin-loader, gstreamer1.0-python3-dbg-plugin-loader
Multi-Arch: same
Description: GStreamer Loader for Python Plugin (Python 3)
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains the Python 3 version of the Python plugin loader,
 which allows GStreamer plugins to be written in Python.

## gst-python1.0 1.20.0

=== debian/changelog ===
gst-python1.0 (1.20.0-1) unstable; urgency=medium

  * New upstream release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 04 Feb 2022 09:03:03 +0200

## gst-python1.0 1.20.1

=== debian/changelog ===
gst-python1.0 (1.20.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 14 Mar 2022 17:36:44 +0200

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
                meson (>= 0.59),
                dh-python,
                pkg-config,
-               libgstreamer1.0-dev (>= 1.19.90),
-               libgstreamer-plugins-base1.0-dev (>= 1.19.90),
-               gir1.2-gstreamer-1.0 (>= 1.19.90),
-               gir1.2-gst-plugins-base-1.0 (>= 1.19.90),
+               libgstreamer1.0-dev (>= 1.20.0),
+               libgstreamer-plugins-base1.0-dev (>= 1.20.0),
+               gir1.2-gstreamer-1.0 (>= 1.20.0),
+               gir1.2-gst-plugins-base-1.0 (>= 1.20.0),
                python3-gi (>= 3.8),
                python-gi-dev (>= 3.8),
                python3-all-dev
@@ -29,8 +29,8 @@
          ${misc:Depends},
          python3-gi (>= 3.8),
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.19.90),
-         gir1.2-gst-plugins-base-1.0 (>= 1.19.90)
+         gir1.2-gstreamer-1.0 (>= 1.20.0),
+         gir1.2-gst-plugins-base-1.0 (>= 1.20.0)
 Description: GStreamer GObject Introspection overrides for Python (Python 3)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/python3/python.mk
 
 PYVERS := $(shell py3versions --supported -v)
-FLAVOURS := $(PYVERS) $(patsubst %,%-dbg,$(PYVERS))
+FLAVOURS := $(PYVERS)
 
 %:
 	dh $@ --buildsystem=meson --with python3
@@ -35,7 +35,3 @@
 
 override_dh_install:
 	dh_install -ppython3-gst-1.0 -pgstreamer1.0-python3-plugin-loader --sourcedir=debian/install-3
-	dh_install -ppython3-gst-1.0-dbg -pgstreamer1.0-python3-dbg-plugin-loader --sourcedir=debian/install-3-dbg
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

## gst-python1.0 1.20.2

=== debian/changelog ===
gst-python1.0 (1.20.2-1ubuntu1) kinetic; urgency=medium

  * Don't skip running dh_auto_test

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 16 May 2022 16:35:06 -0400

gst-python1.0 (1.20.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 03 May 2022 10:30:13 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gst-python1.0
 Section: python
 Priority: optional
-Maintainer: Maintainers of GStreamer packages <gst-python1.0@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Maintainers of GStreamer packages <gst-python1.0@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>
 Build-Depends: debhelper-compat (= 13),
                debhelper,

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,9 @@
 	done
 
 override_dh_auto_test:
+	set -e && for x in $(FLAVOURS); do \
+	    dh_auto_test --builddirectory=build-$$x; \
+	done
 
 override_dh_auto_install:
 	set -e && for x in $(FLAVOURS); do \

## gst-python1.0 1.20.3

=== debian/changelog ===
gst-python1.0 (1.20.3-1) unstable; urgency=medium

  [ Sebastian Dröge ]
  * New upstream bugfix release.

  [ Jeremy Bicha ]
  * Simplify packaging a bit.
  * Don't skip running dh_auto_test.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 21 Jun 2022 09:23:09 +0300

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,11 @@
 Source: gst-python1.0
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Maintainers of GStreamer packages <gst-python1.0@packages.debian.org>
+Maintainer: Maintainers of GStreamer packages <gst-python1.0@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               debhelper,
-               dpkg-dev (>= 1.16.1~),
+               dh-sequence-python3,
                meson (>= 0.59),
-               dh-python,
                pkg-config,
                libgstreamer1.0-dev (>= 1.20.0),
                libgstreamer-plugins-base1.0-dev (>= 1.20.0),

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 FLAVOURS := $(PYVERS)
 
 %:
-	dh $@ --buildsystem=meson --with python3
+	dh $@
 
 override_dh_auto_configure:
 	set -e && for x in $(FLAVOURS); do \

## gst-python1.0 1.20.5

=== debian/changelog ===
gst-python1.0 (1.20.5-1) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * New upstream release
  * Add debian/upstream/signing-key.asc and update debian/watch to use it
  * Update debian/upstream/metadata
  * Update standards version to 4.6.1, no changes needed

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 05 Jan 2023 14:59:54 -0500

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
                libgstreamer-plugins-base1.0-dev (>= 1.20.0),
                gir1.2-gstreamer-1.0 (>= 1.20.0),
                gir1.2-gst-plugins-base-1.0 (>= 1.20.0),
-               python3-gi (>= 3.8),
-               python-gi-dev (>= 3.8),
+               python3-gi,
+               python-gi-dev,
                python3-all-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-python1.0.git
 Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-python1.0/
 Homepage: https://gstreamer.freedesktop.org
@@ -25,7 +25,7 @@
 Depends: ${python3:Depends},
          ${shlibs:Depends},
          ${misc:Depends},
-         python3-gi (>= 3.8),
+         python3-gi,
          gir1.2-glib-2.0,
          gir1.2-gstreamer-1.0 (>= 1.20.0),
          gir1.2-gst-plugins-base-1.0 (>= 1.20.0)
@@ -46,7 +46,7 @@
 Depends: ${python3:Depends},
          ${shlibs:Depends},
          ${misc:Depends},
-         python3-gi (>= 3.8),
+         python3-gi,
          python3-gst-1.0 (= ${binary:Version})
 Conflicts: gstreamer1.0-python-plugin-loader, gstreamer1.0-python-dbg-plugin-loader, gstreamer1.0-python3-dbg-plugin-loader
 Multi-Arch: same

## gst-python1.0 1.22.0

=== debian/changelog ===
gst-python1.0 (1.22.0-2) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 28 Jan 2023 15:57:36 -0500

gst-python1.0 (1.22.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Bump minimum meson and gstreamer
  * debian/rules: Set -Dauto_features=enabled
  * Set Rules-Requires-Root: no
  * Bump Standards-Version to 4.6.2

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 27 Jan 2023 11:50:26 -0500

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,17 @@
 Uploaders: Sebastian Dröge <slomo@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
-               meson (>= 0.59),
+               meson (>= 0.62),
                pkg-config,
-               libgstreamer1.0-dev (>= 1.20.0),
-               libgstreamer-plugins-base1.0-dev (>= 1.20.0),
-               gir1.2-gstreamer-1.0 (>= 1.20.0),
-               gir1.2-gst-plugins-base-1.0 (>= 1.20.0),
+               libgstreamer1.0-dev (>= 1.22.0),
+               libgstreamer-plugins-base1.0-dev (>= 1.22.0),
+               gir1.2-gstreamer-1.0 (>= 1.22.0),
+               gir1.2-gst-plugins-base-1.0 (>= 1.22.0),
                python3-gi,
                python-gi-dev,
                python3-all-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-python1.0.git
 Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-python1.0/
 Homepage: https://gstreamer.freedesktop.org
@@ -27,8 +28,8 @@
          ${misc:Depends},
          python3-gi,
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.20.0),
-         gir1.2-gst-plugins-base-1.0 (>= 1.20.0)
+         gir1.2-gstreamer-1.0 (>= 1.22.0),
+         gir1.2-gst-plugins-base-1.0 (>= 1.22.0)
 Description: GStreamer GObject Introspection overrides for Python (Python 3)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,8 @@
 
 override_dh_auto_configure:
 	set -e && for x in $(FLAVOURS); do \
-	    dh_auto_configure --builddirectory=build-$$x -- -Dpython=/usr/bin/python$$x \
+	    dh_auto_configure --builddirectory=build-$$x -- \
+		-Dauto_features=enabled -Dpython=/usr/bin/python$$x \
 	        -Dlibpython-dir="`/usr/bin/python$$x-config --configdir`" ; \
 	done
 
@@ -31,10 +32,9 @@
 	    dh_auto_install --builddirectory=build-$$x --destdir=$$INST; \
 	done
 
-override_dh_auto_clean:
+execute_before_dh_auto_clean:
 	rm -rf build-*
 	rm -rf debian/install-*
-	dh_auto_clean
 
 override_dh_install:
 	dh_install -ppython3-gst-1.0 -pgstreamer1.0-python3-plugin-loader --sourcedir=debian/install-3

## gst-python1.0 1.22.1

=== debian/changelog ===
gst-python1.0 (1.22.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream bugfix release (LP: #2015129)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 04 Apr 2023 10:23:57 -0400

## gst-python1.0 1.22.4

=== debian/changelog ===
gst-python1.0 (1.22.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Set DEB_PYTHON_INSTALL_LAYOUT=deb to work around behavior change

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 30 Jun 2023 11:49:21 -0400

gst-python1.0 (1.22.3-2) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 12 Jun 2023 14:45:28 -0400

gst-python1.0 (1.22.3-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * debian/rules: Enable all hardening flags

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 21 May 2023 07:58:28 -0400

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,10 @@
 
 include /usr/share/dpkg/default.mk
 include /usr/share/python3/python.mk
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
+export DEB_PYTHON_INSTALL_LAYOUT=deb
 
 PYVERS := $(shell py3versions --supported -v)
 FLAVOURS := $(PYVERS)

## gst-python1.0 1.22.5

=== debian/changelog ===
gst-python1.0 (1.22.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Revert "Set DEB_PYTHON_INSTALL_LAYOUT=deb to work around behavior change":
    no longer needed after debhelper 13.11.5

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 15 Aug 2023 10:16:10 -0400
